Bug 751424 - footer buttons don't get re-enabled in group related tables
footer buttons don't get re-enabled in group related tables
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity low (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-11-04 13:13 EDT by John Mazzitelli
Modified: 2012-02-07 14:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:20:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-11-04 13:13:21 EDT
Go to an auto-group (say, a platform's "Network Adapters" tree node) - Monitoring>Tables subtab.

At the bottom, you'll see the members and a "Compare Metrics" button. Select two members, click the button, close the popup window that appears. Notice the buttons are still greyed out/disabled.
Comment 1 John Mazzitelli 2011-11-04 13:53:26 EDT
same thing on Inventory>Members  UpdateMembership... button
Comment 2 John Mazzitelli 2011-11-04 14:04:43 EDT
(In reply to comment #1)
> same thing on Inventory>Members  UpdateMembership... button

that is, more specifically, go to any Group view, and in that group's Inventory>Members subtab, clicking the UpdateMembership... button, then clicking the cancel button will cause the footers to remain disabled.
Comment 3 John Mazzitelli 2011-11-04 14:11:59 EDT
git commit:
master: df7e7e155c9c1d59b69d583e243509a157be3dc0
release_jon3.x: d76e1564c3f598c96d1554e820c1df2f342215b2
Comment 4 Sunil Kondkar 2011-11-07 04:52:55 EST
Verified on build#698 (Version: 4.3.0-SNAPSHOT Build Number: cb8ad66)

Navigated to Monitoring>Tables subtab of an auto-group (platform's "Network Adapters" tree node). Selected two members, clicked the "Compare Metrics" button, closed the popup window that appears. Observed that the "Compare Metrics" button is enabled.

Also created a compatible group and navigated to the group's Inventory>Members subtab. Clicked on the "Update Membership..." button, then clicked on the 'Cancel' button. Observed that the "Update Membership..." and 'Refresh' buttons in the footer are enabled.
Comment 5 Mike Foley 2012-02-07 14:20:16 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.